package com.m2pool.chat.vo;

import lombok.Data;

/**
 * @ClassName UserMessageVo
 * @Description 用户发送消息对象
 * @Author yyb
 * @Date 2025/4/10 16:28
 */
@Data
public class UserMessageVo {

    /**
     * 消息类型
     */
    private Integer type;

    /**
     * 消息内容
     */
    private String content;

    /**
     * 接收者
     */
    private String email;

    /**
     * 接受用户类型 0 游客 1 登录用户 2 客服人员
     */
    private Integer receiveUserType;

    /**
     * 聊天室id
     */
    private Long roomId;



}
